@import url("https://fonts.googleapis.com/css2?family=Covered+By+Your+Grace&display=swap");

/* ===== Déco ===== */
.image-bells {
  position: absolute;
  top: 0;
  right: 0;
  width: 350px;
  height: auto;
  z-index: 999;
  pointer-events: none;
}

.sticker-skull {
  position: absolute;
  top: -14%;
  right: 60%;
  width: 140px;
  height: auto;
  transform: rotate(15deg);

  z-index: 999;
  filter: drop-shadow(1px 0px 1px #222);
}

/* ===== Layout ===== */

body {
  display: flex;
  flex-direction: column;

  padding-top: 30px;
  padding-bottom: 60px;
}

.container {
  min-height: calc(100vh - 40px);

  padding-top: 0;
  padding-left: 30px;
  padding-right: 20px;
  padding-bottom: 80px;

  max-width: 100%;
}

.content-organizer {
  display: flex;
  flex: 1;
  gap: 30px;
}

.main-column {
  grid-area: main;
  display: block;
  flex-direction: column;
  padding-top: 0px;
  max-width: 70%;
  /* background-color: blueviolet; */
}

.top-ribbon-wrapper {
  position: absolute;
  top: 20px;
  left: 0px;
  display: flex;
  width: 70%;
  height: clamp(15px, 2.5vw, 50px);

  pointer-events: none;
}

.top-ribbon-middle {
  flex-grow: 1;
  height: 100%;
}

.top-ribbon-ext {
  width: auto;
  height: 100%;
}

.site-header {
  grid-area: header;
  display: flex;
  flex-direction: column;
  justify-content: start;
}

.title-paint-effect-2 {
  /* font-family: "Montserrat", sans-serif; */
  color: white;
  width: min-content;
  margin: auto;
  font-size: clamp(60px, 7vw, 90px);
  /* font-size: clamp(40px, 5vw, 64px);
  font-weight: 900;
  width: -webkit-min-content;
  width: -moz-min-content;
  width: min-content;
  margin: auto;
  text-transform: uppercase;
  background: linear-gradient(
    38deg,
    var(--color-1) 19%,
    transparent 19%,
    transparent 20%,
    var(--color-2) 20%,
    var(--color-2) 39%,
    transparent 39%,
    transparent 40%,
    var(--color-3) 40%,
    var(--color-3) 59%,
    transparent 59%,
    transparent 60%,
    var(--color-4) 60%,
    var(--color-4) 79%,
    transparent 79%,
    transparent 80%,
    var(--color-5) 80%
  );
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent; */
}

.site-banner {
  display: flex;
  width: 100%;
  height: 100%;
  /* background-color: rgb(40, 201, 139); */
}

.title-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  padding-top: 20px;
  position: relative;
  /* background-color: blue; */
}

.title-logo {
  width: 12vw;
  min-width: 120px;
  height: auto;
  align-items: center;
  position: absolute;
  top: 50%;
  left: -10%;
  transform: translateX(-50%) translateY(-30%);
  z-index: 0;
}

/* ===== OTHER LAYOUT -=== */
.post-it-container {
  position: absolute;
  display: flex;
  flex-direction: column;
  left: auto;
  right: 0;
  transform: translateX(100%);
  top: 150px;
  gap: 14px;
  width: 70px;
}

.post-it-button {
  flex: 1;
  min-height: 10px;
  max-height: 100px;
  width: 80%;
  height: 100%;

  padding: 10px;

  align-content: center;
  background-color: var(--color-paper-light);
  box-shadow: inset 7px 0px 6px -3px rgba(0, 0, 0, 0.4);
}

.post-it-button p {
  display: flex;
  width: 100%;
  writing-mode: vertical-rl;
  line-height: 1;
  justify-content: right;

  font-family: "Covered By Your Grace", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  color: var(--color-1);
}

.post-it-button:hover {
  min-width: 100%;
}

.post-it-1 {
  width: 65%;
  p {
    transform: rotate(2deg);
  }
}

.post-it-2 {
  width: 70%;
  overflow: hidden;
}

.post-it-3 {
  p {
    transform: rotate(-3deg);
  }
}

/* ===== CONTENT SECTIONS ===== */

.description-card {
  display: flex;
  align-items: center;
  margin-bottom: 20px;

  text-align: justify;
}

.description-image {
  position: relative;
  flex-shrink: 0;
  width: 30%;
  min-width: 120px;
  transform: translateX(-20px);
  height: auto;
  z-index: 5;

  margin-right: -40px;
}

.description-text {
  flex: 1;
  /* border: 1px dashed var(--primary); */
  padding: 10px 20px 20px 10px;
}

.description-text p {
  color: var(--color-1);

  &::first-letter {
    float: left;
    font-size: 48px;
    color: var(--color-2);
    font-weight: bold;
    margin-right: 5px;
  }
}

.content-sections {
  display: flex;
  justify-content: space-between;
}

.content-column-left {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 0 10px 0 0;

  /* max-width: 43%; */
}

.content-column-right {
  display: block;
  padding: 0 0px 0 10px;
  gap: 10px;

  max-width: 55%;
}

.featured-wrapper {
  position: relative;

  h2 {
    position: relative;
    transform: translateY(10px);
    text-wrap: nowrap;
  }
}

.featured-content {
  background-color: transparent;
  padding: 10px;
  display: flex;
  z-index: 10;

  border: 4px dashed white;
  text-decoration: unset;
  img {
    position: absolute;
    width: auto;
    min-height: 140px;
    height: 120%;
    bottom: 0;
    right: 0;
  }
}

.featured-content:hover {
  img {
    filter: brightness(1.2);
  }
}

.featured-title {
  position: relative;
  display: flex;
  flex-direction: column;
  z-index: 10;
  transform: rotate(-10deg) translateY(-20%);

  color: #2e1109;

  span {
    color: rgb(0, 0, 0);
    font-size: 32px;
    line-height: 0.5;
    text-shadow:
      1px 1px 0px white,
      1px -1px 0px white,
      -1px 1px 0px white,
      -1px -1px 0px white;
  }
}

.featured-title:hover {
  color: #702511;
}

.other-places {
  position: relative;

  h2 {
    position: relative;
    transform: translateY(10px);
    text-wrap: nowrap;
  }
}

.places-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
  background-color: white;
  padding: 10px;

  margin-bottom: 10px;
}

.button-places {
  padding: 2px 5px 2px 5px;
  background-color: var(--color-paper-dark);
  color: var(--color-text-light);
  border-radius: 8px;
  display: flex;

  align-items: center;
  gap: 5px;
  width: fit-content;

  height: 25px;

  margin-bottom: 2px;
  font-size: 12px;

  text-wrap: nowrap;

  img {
    width: auto;
    height: 100%;
  }
}

.scroller-wrapper {
  overflow: hidden;
  position: relative;
  display: flex;
  /* flex-wrap: nowrap; */

  gap: 5px;
  padding: 5px 0;

  flex-grow: 1;

  background-color: white;
}

.gif-section {
  animation: HorizontalScroll 20s linear infinite;
  display: flex;
  flex-wrap: nowrap;
  position: relative;

  gap: 5px;
  flex-shrink: 0;
}

/* ===== SECONDARY COLUMN (NAVIGATION) ===== */
.secondary-column {
  grid-area: aside;
  display: block;
  flex: 1;
  flex-direction: column;
  justify-content: start;
  height: 100%;
}

.nav-button {
  margin-bottom: 20px;
  position: relative;
  z-index: 2;
}

.gallery-button-wrapper {
  position: relative;
  z-index: 4;
}

.gallery-button {
  width: 100%;

  /* position: relative; */

  color: whitesmoke;
  display: flex;
  flex-direction: column;

  justify-content: end;
  background: transparent;
  height: 380px;

  border: 1px solid var(--color-1);
  border-image-source: url(../img/website/asset-border-small-gold.png);
  border-image-slice: 50;
  border-image-width: 15px;
  border-image-outset: 7px;

  background-image: url("../img/website/gallery_button_back.webp");
  background-size: 150%;
  background-position: top;
  background-color: transparent;

  padding: 1px;

  /* transform: rotate(2deg); */
}

.gallery-button:hover {
  .gallery-image {
    background-size: 170%;
  }
}

.gallery-label {
  flex: 0 0 15%;
  background-color: var(--color-2);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: clamp(24px, 4vw, 36px);
  overflow: hidden;

  font-weight: bold;
  color: whitesmoke;
  width: 100%;
}

.gallery-accent {
  position: absolute;
  bottom: 0px;
  left: 50%;
  transform: translate(-50%, 50%);
  width: 100%;
  height: auto;
  z-index: 5;
  pointer-events: none;
  transition: all 0.3s ease;
}

.secondary-buttons {
  display: flex;
  flex-direction: column;
  gap: 0px;
}

.articles-button,
.shop-button,
.reco-button {
  position: relative;
  padding: 15px;
  font-size: 18px;
  flex: 1;

  border-image-source: url(../img/website/asset-border-small-gold.png);
  border-image-slice: 50;
  border-image-width: 15px;
  border-image-outset: 7px;

  color: white;
}

.articles-button {
  z-index: 8;
  img {
    animation: MoveUpAndDown 3s ease infinite;
    position: absolute;
    height: 180%;
    left: 0%;
    width: auto;
    z-index: 10;
  }

  p {
    margin-right: 10px;
    margin-left: auto;
  }
}

@keyframes MoveUpAndDown {
  0%,
  100% {
    transform: translateY(-5%);
  }

  50% {
    transform: translateY(5%);
  }
}

@keyframes HorizontalScroll {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}

/* ===== RESPONSIVE ===== */
@media (max-width: 1030px) {
  .image-bells {
    width: 280px;
  }
}

@media (max-width: 768px) {
  .image-bells {
    width: 200px;
  }

  .sticker-skull {
    position: absolute;
    top: -40px;
    right: -20px;
    width: 15vw;
    transform: translateY(-50px);
    height: auto;
    transform: rotate(15deg);

    z-index: 10000;
    filter: drop-shadow(1px 0px 1px #222);
  }

  body {
    padding-top: 60px;
  }

  .container {
    display: flex;
    flex-direction: column;
    gap: 0;

    padding-left: 15px;
    padding-right: 10px;
  }
  .title-wrapper {
    padding-top: 10px;
  }

  .title-logo {
    left: -5%;
    min-width: 90px;
  }

  .content-organizer {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .site-header {
    justify-content: center;
  }

  .secondary-column {
    order: 1;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
    height: auto;
    overflow: visible;
    z-index: 0;
    flex: none;
  }

  .main-column {
    order: 2;
    display: flex;
    flex-direction: column;
    margin-top: 0px;
    max-width: 100%;
  }

  .description {
    order: 1;
  }

  .description-text {
    font-size: 14px;
    line-height: 1.2;
  }

  .content-sections {
    order: 2;
  }

  .content-column-left {
    gap: 0px;
  }

  .content-column-right {
    gap: 10px;
  }

  .post-it-container {
    flex-direction: row;
    top: 0;
    left: 40px;
    right: unset;
    height: 55px;
    width: auto;
    gap: 5px;
    max-width: 70vw;
    transform: translateY(-100%);
    align-items: flex-end;
  }

  .post-it-button {
    height: 80%;
    width: 100%;
    padding: 5px;
    box-shadow: inset 0 -8px 4px -4px rgba(0, 0, 0, 0.4);
    align-content: start;
  }

  .post-it-button p {
    writing-mode: horizontal-tb;
    line-height: 1;
    font-size: 18px;
  }

  .post-it-button:hover {
    height: 100%;
    min-width: unset;
  }

  .gallery-button {
    width: 100%;

    font-size: 18px;
    margin-top: 0px;
    height: 100%;

    transform: none;
  }

  .gallery-button-wrapper {
    margin-top: 0px;
  }

  .gallery-label {
    flex: 0 0 auto;
  }

  .gallery-accent {
    max-width: 220px;
    height: auto;
  }

  .secondary-buttons {
    grid-column: 2;
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
  }

  .articles-button,
  .shop-button,
  .reco-button {
    flex: 1;
    padding: 15px;
    font-size: 16px;
    height: auto;
  }
}
